Bug 351981 - post script fails
post script fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-10-25 05:46 EDT by Joe Orton
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.20-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-26 07:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2007-10-25 05:46:18 EDT
From install.log from a fresh Raw Hide install:

Installing bluez-utils - 3.20-2.fc8.i386
error: %post(bluez-utils-3.20-2.fc8.i386) scriptlet failed, exit status 1
Comment 1 Joe Orton 2007-10-25 08:46:02 EDT
It's not obvious to me why this happens.  It may be that just putting "exit 0"
at the end of the scriptlet is all that's needed.  Doing:

-Prereq: /sbin/chkconfig, /sbin/service
+Requires(preun): /sbin/chkconfig, /sbin/service
+Requires(post): /sbin/chkconfig, /sbin/service

may also help but from looking at the ordering in the install.log doesn't seem
to have been the actual cause of the issue.

The "Requires: cups" on the -also and -gstreamer subpackages looks... wrong.
Comment 2 Joe Orton 2007-10-25 16:27:47 EDT
Fixed in bluez-utils-3.20-4.fc9.

Guys you probably want to push either this or at least the %post changes to F8;
the "bluetooth" service is not getting enabled by default in fresh installs.
Comment 3 Bastien Nocera 2007-10-25 18:36:59 EDT
Will fix for F8
Comment 4 Bastien Nocera 2007-10-26 07:00:45 EDT
Built in bluez-utils-3.20-3.fc8 and tagging requested for F8.

Note You need to log in before you can comment on or make changes to this bug.